Disable Phab accounts with invalid e-mails that bounce
Closed, ResolvedPublic

Description

Some old WMFers continue to receive e-mail from being subscribed to things. However this e-mail is bouncing since their WMF e-mail has (rightly) been turned off. Outgoing staff should probably swap their e-mails to a personal one :)

Also sometimes people setup weird e-mails that just don't work.

Due to the way Phab's MTA jobs behave, they continue to bounce again and again and pile up the daemon queue. Silly Phab.

Former staff are always welcome back as volunteers, and if these people want to regain their accounts I'm more than happy to restore it at that point if we can sort out the e-mail issue.

As of today, this has been done to the following accounts:
@Jaredzimmerman-WMF
@Vibhabamba
@GYoung
@howief
@caroline (spam user? e-mail bouncing to @wikimedia.com?!)
@Cmcmahon
@Philippe-WMF
@SVentura

demon created this task.Jan 8 2016, 8:31 PM
demon updated the task description. (Show Details)
demon raised the priority of this task from to Unbreak Now!.
demon claimed this task.
demon added projects: Phabricator, Mail.
demon added subscribers: chasemp, 20after4, demon and 4 others.
Restricted Application added subscribers: Luke081515, scfc, Aklapper. · View Herald TranscriptJan 8 2016, 8:31 PM
demon closed this task as Resolved.Jan 8 2016, 8:32 PM
Krenair added a subscriber: Krenair.Jan 8 2016, 8:33 PM
demon updated the task description. (Show Details)Jan 8 2016, 9:39 PM
demon set Security to None.
demon added a subscriber: howief.

Underlying problem is T100400

demon added a comment.Jan 9 2016, 12:05 AM

Yep, that's it. Didn't realize we already had something filed for it. This task is meant to be a workaround really until that's solved. This should probably be blocked on that (with the eventual idea that these accounts can be unlocked again).

Has anyone tried to reach out to these accounts before disabling (emails/talk pages)? Coming back to find a disabled account might be a bit disheartening if they want to volunteer.

I've find a non wmf email address for one of those by scanning the MLs i'm on, other lists or wikis (Eg: officewiki) might chuck up others.

demon added a comment.Jan 9 2016, 12:32 AM

Has anyone tried to reach out to these accounts before disabling (emails/talk pages)? Coming back to find a disabled account might be a bit disheartening if they want to volunteer.

I've find a non wmf email address for one of those by scanning the MLs i'm on, other lists or wikis (Eg: officewiki) might chuck up others.

Nope, but considering this is mainly meant as a workaround until the underlying bug is fixed I'm not too terribly worried. One of the 5 is spam for sure.

demon updated the task description. (Show Details)Jan 15 2016, 2:17 PM
demon added a subscriber: Cmcmahon.
mmodell updated the task description. (Show Details)Feb 16 2016, 9:18 PM
mmodell added a subscriber: Philippe-WMF.
demon updated the task description. (Show Details)Feb 29 2016, 5:27 PM
demon added a subscriber: SVentura.